<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Course 365 - Learning with unlimited!</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

  <!-- Các file css và js tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <script src="script.js"></script>
</head>

<body>
  <!-- 1. Header - Navbar menu -->
  <nav class="navbar navbar-expand-md">
    <a class="navbar-brand" href="#logo">
      <img src="/images/Ionic_logo.png" width="100" height="40">
    </a>
    <button class="navbar-toggler navbar-dark" type="button" data-toggle="collapse" data-target="#main-navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="navbar" id="main-navigation">
      <div class="nav-item">
        <a class="nav-link" href="#home">Home</a>
      </div>
      <div class="dropdown">
        <button class="btn btn-info dropdown-toggle-split" type="button" id="dropdownMenuButton" data-toggle="dropdown"
          aria-haspopup="true" aria-expanded="false">Browse Course
        </button>
        <div class="dropdown-menu">
          <a class="dropdown-item" href="#webDevelopment">Web Development</a>
          <a class="dropdown-item" href="#mobileApp">Mobile App</a>
          <a class="dropdown-item" href="#desktopApp">Desktop App</a>
        </div>
      </div>
      <div class="nav-item">
        <button class="btn btn-info dropdown-toggle-split" type="button" id="dropdownMenuButton" data-toggle="dropdown"
          aria-haspopup="true" aria-expanded="false" href="#aboutUs">About Us
        </button>
        <div class="dropdown-menu">
          <a class="dropdown-item" href="#visionMission">Vision & Mission</a>
          <a class="dropdown-item" href="#Team">Team</a>
          <a class="dropdown-item" href="#contactUs">Contact Us</a>
        </div>
      </div>
      <div class="search-container">
        <form action="/action_page.php">
          <input type="text" placeholder="Search.." name="search">
          <button type="submit">Search</button>
        </form>
      </div>
    </div>
  </nav>
  <!-- 2. Slide body -->
  <header class="page-header header container-fluid">
    <div class="description">
      <h1>Course 365 v1.5</h1>
      <p>Ionic Course365 is an online learning and teaching marketplace with over 5000 courses and 1 million students.
        Instructor and expertly crafted courses, designed for the modern students and entrepreneur.</p>
    </div>
    <div class="button">
      <button type="button" class="btn btn-warning">Browse Courses</button>
      <button type="button" class="btn btn-light">Become an Instructor</button>
    </div>
  </header>
  <!-- 3. Courses content -->
  <div class="container-fluid" id="page-content">
    <!--Reconmmend section-->
    <h3>Reconmmend to you</h3>
    <div class="card-deck">
      <div class="card">
        <img class="card-img-top" src="images/courses/course-angular.jpg" alt="Card image cap">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">How to easily create a website with Angular</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">3h 56m Beginner</p>
          <p class="font-weight-bold" id="price">$600</p>
          <p id="old-price"><del>$750</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/morris_mccoy.jpg" width="50px"
                height="50px">&ensp;&ensp;Morris Mccoy
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-python.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">The Python Course: build web application</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">4h 30m Advanced</p>
          <p class="font-weight-bold" id="price">$900</p>
          <p id="old-price"><del>$1050</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/claire_robertson.jpg" width="50px"
                height="50px">&ensp;&ensp;Claire Robertson
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-graphql.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">GraphQL: introduction to graphQL for beginners</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">2h 15m Intermediate</p>
          <p class="font-weight-bold" id="price">$650</p>
          <p id="old-price"><del>$850</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/ted_hawkins.jpg" width="50px"
                height="50px">&ensp;&ensp;Claire Robertson
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-javascript.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">Getting Started with JavaScript</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">3h 34m Beginner</p>
          <p class="font-weight-bold" id="price">$300</p>
          <p id="old-price"><del>$550</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/ted_hawkins.jpg" width="50px"
                height="50px">&ensp;&ensp;Claire Robertson
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
    </div>
    <!--Móst popular section-->
    <h3>Most Popular</h3>
    <div class="card-deck">
      <div class="card">
        <img class="card-img-top" src="images/courses/course-css.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">CSS: ultimate CSS course from beginner to advanced</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">3h 56m Beginner</p>
          <p class="font-weight-bold" id="price">$600</p>
          <p id="old-price"><del>$750</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/juanita_bell.jpg" width="50px"
                height="50px">&ensp;&ensp;Juanita Bell
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-javascript.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">Getting Started with JavaScript</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">3h 34m Beginner</p>
          <p class="font-weight-bold" id="price">$300</p>
          <p id="old-price"><del>$550</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/ted_hawkins.jpg" width="50px"
                height="50px">&ensp;&ensp;Ted Hawkins
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-wordpress.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">Complete Wordpress themes & plugins</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">4h 30m Advanced</p>
          <p class="font-weight-bold" id="price">$900</p>
          <p id="old-price"><del>$1050</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/clevaio_simon.jpg" width="50px"
                height="50px">&ensp;&ensp;Clevaio Simon
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-graphql.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">GraphQL: introduction to graphQL for beginners</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">2h 15m Intermediate</p>
          <p class="font-weight-bold" id="price">$650</p>
          <p id="old-price"><del>$850</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/ted_hawkins.jpg" width="50px"
                height="50px">&ensp;&ensp;Ted Hawkins
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
    </div>
    <!--Trending Section-->
    <h3>Trending</h3>
    <div class="card-deck">
      <div class="card">
        <img class="card-img-top" src="images/courses/course-javascript.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">Getting Started with JavaScript</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">3h346m Beginner</p>
          <p class="font-weight-bold" id="price">$300</p>
          <p id="old-price"><del>$550</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/ted_hawkins.jpg" width="50px"
                height="50px">&ensp;&ensp;Ted Hawkins
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-angular.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">How to easily create a website with Angular</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">3h 56m Beginner</p>
          <p class="font-weight-bold" id="price">$600</p>
          <p id="old-price"><del>$750</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/morris_mccoy.jpg" width="50px"
                height="50px">&ensp;&ensp;Morris Mccoy
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-css.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">CSS: ultimate CSS course from beginner to advanced</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">3h 56m Beginner</p>
          <p class="font-weight-bold" id="price">$600</p>
          <p id="old-price"><del>$750</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/juanita_bell.jpg" width="50px"
                height="50px">&ensp;&ensp;Juanita Bell
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
      <div class="card">
        <img class="card-img-top" src="images/courses/course-python.jpg">
        <div class="card-body">
          <h5 class="card-title" style="color: #007BFF;">The Python Course: build web application</h5>
          <p class="card-text">
          <p class="fa-solid fa-clock">4h 30m Advanced</p>
          <p class="font-weight-bold" id="price">$900</p>
          <p id="old-price"><del>$1050</del></p>
          </p>
          <p class="card-text"><small class="text-muted">
              <img class="rounded-circle" src="images/teacher/claire_robertson.jpg" width="50px"
                height="50px">&ensp;&ensp;Claire Robertson
              <span class="d-inline btn float-right">
                <i class="fa-regular fa-bookmark"></i>
              </span>
            </small></p>
        </div>
      </div>
    </div>
    <!-- 4. Footer -->
    <footer class="page-footer">
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-md-8 col-sm-12">
            <p>© 2021 Ionic Course365. All Rights Reserved.</p>
          </div>
          <div class="col-lg-4 col-md-4 col-sm-12" id="footer-button">
            <p class="text-primary">Privacy&ensp;&ensp;</p>
            <p class="text-primary">Terms&ensp;&ensp;</p>
            <p class="text-primary">Feedback&ensp;&ensp;</p>
            <p class="text-primary">Support</p>
          </div>
    </footer>
  </div>

  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

  var gBASE_URL = "https://630890e4722029d9ddd245bc.mockapi.io/api/v1";

  var gCourseList = null;
  var gPopularCourseList = null;
  var gTrendingCourseList = null;
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  $(document).ready(function () {
    onPageLoading();
  })

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
   //hàm xử lý khi load page
   function onPageLoading() {
    "use strict";
    //load all courses
    getAllCourses();
  }

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //Hàm get All Courses
  function getAllCourses() {
    "use strict";
    var vAPI_URL = gBASE_URL + "/courses";
    $.ajax({
      url: vAPI_URL,
      type: "GET",
      dataType: "json",
      success: function (res) {
        console.log(res);
        let gCourseList = res;
        //lọc kết quả isPopular
        var popularResult = res.filter(res => res.isPopular == true);
        console.log(popularResult);
      },
      error: function (err) {
        console.log(err.messagge);
      }
    });
  }
</script>

</html>